## python-sphinx-contributors 0.2.7

=== docs/requirements.txt ===
sphinx-contributors[doc]

=== debian/changelog ===
python-sphinx-contributors (0.2.7-5) unstable; urgency=medium

  * d/control: bump Standards-Version to 4.7.0 + update
    uploaders list.
  * d/copyright: update email ID in debian/* copyright.
  * Rename python-sphinx-contributors-doc.doc with
    python-sphinx-contributors-doc.docs.
  * Add d/source/options to diff-ignore egg-info.

 -- Yogeswaran Umasankar <yogu@debian.org>  Wed, 14 Aug 2024 19:00:00 +0000

python-sphinx-contributors (0.2.7-4) unstable; urgency=medium

  * d/control: Added Build-Depends-Indep, Multi-Arch, and removed Built-Using.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Sat, 23 Mar 2024 18:30:00 +0000

python-sphinx-contributors (0.2.7-3) unstable; urgency=medium

  * Moved ${sphinxdoc:Built-Using} to Built-Using in d/control.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Fri, 22 Mar 2024 15:00:00 +0000

python-sphinx-contributors (0.2.7-2) unstable; urgency=medium

  * No-changes source-only upload.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Sun, 17 Mar 2024 23:40:00 +0000

python-sphinx-contributors (0.2.7-1) unstable; urgency=medium

  * Initial release. (Closes: #1064179)

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Sat, 17 Feb 2024 23:00:00 +0000

=== debian/control ===
Source: python-sphinx-contributors
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Yogeswaran Umasankar <yogu@debian.org>,
Homepage: https://github.com/dgarcia360/sphinx-contributors
Vcs-Git: https://salsa.debian.org/python-team/packages/python-sphinx-contributors.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-sphinx-contributors
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 flit,
 pybuild-plugin-pyproject,
 python3-all,
 python3-pytest <!nocheck>,
Build-Depends-Indep:
 furo <!nodoc>,
 python3-sphinx <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-pybuild

Package: python3-sphinx-contributors
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: Sphinx extension to recognize the people contributed to an open-source project
 Sphinx extension that helps you recognize the people who have
 contributed to an open-source project. Show the list of users
 who have contributed to a repository in your docs. Choose how
 many contributors show and sort them by the number of commits.

Package: python-sphinx-contributors-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Documentation for python-sphinx-contributors
 Sphinx extension that helps you recognize the people who have
 contributed to an open-source project. Show the list of users
 who have contributed to a repository in your docs. Choose how
 many contributors show and sort them by the number of commits.
 .
 This package contains documentation for sphinx-contributors.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sphinx_contributors
#Disabling test that may need github access via network.
export PYBUILD_TEST_ARGS=-v -k 'not test_contributor_directive'

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	find debian/python3-sphinx-contributors -type d -name '__pycache__' -exec rm -rf {} +

override_dh_installdocs:
	https_proxy='127.0.0.1:9' sphinx-build -b html docs/source build/sphinx/html
	dh_installdocs -ppython-sphinx-contributors-doc --doc-main-package=python-sphinx-contributors-doc build/sphinx/html
	dh_installdocs

=== debian/watch ===
version=4
https://github.com/dgarcia360/sphinx-contributors/tags .*/v(\d\S+)\.tar\.gz
